package ei.game.input;

import ei.engine.input.MouseInput;
import ei.engine.math.Vector2f;
import ei.engine.scene.Sprite;
import ei.engine.ui.UiHandler;

public class MenuMouseInput extends MouseInput{
	private UiHandler ui;

	public MenuMouseInput(UiHandler ui) {
		super("MenuMouseInput","data/cursor/cursor.png");
		this.ui = ui;
		
		//inits the mouse texture
		Sprite s = getSprite();		
		s.setSize(new Vector2f(38,50));
	}

	@Override
	public void mouseUpdate(int x, int y, int w) {
		ui.mousePos(x, y);

	}

	@Override
	public void mouseDown(int event,int x, int y) {
		ui.mouseDown(x, y, event);
	}

	@Override
	public void mouseUp(int event,int x, int y) {
		
	}
}
